ZFS Einführung
==============

Inhalt
------

-   Geschichte
-   Pools
-   Datasets
    -   Volumes
-   Redundanz
-   Caches
-   Snapshots
-   Besondere Features
    -   Deduplikation
    -   Kompression

Geschichte
==========

Geschichte
----------

-   2001: Beginn der Entwicklung bei Sun für Solaris
-   2005: Erster Public Release, Code wird Open Source
-   2006-2010: Portierung auf Linux, MacOS, FreeBSD
-   Ab 2010: Oracle macht ZFS zu Closed Source, offene Entwicklung
    weiter als OpenZFS

Features
========

Pools
-----

- ZFS ist Dateisystem und Volume Manager gleichzeitig
- Basis: Blockdevices
- Blockdevices können zu `vdev`s zusammengefasst werden
- Blockdevices und `vdev`s bilden zusammen einen Storage Pool
- Viele Einstellungen schon hier möglich, werden runter vererbt

Demo
----



Datasets
--------

- Datasets entsprechen eigentlichen Dateisystemen
- Können verschachtelt werden
- Settings eines Datasets werden vererbt
- Standardmäßig so groß wie das übergeordnete Dataset
- Quotas können gesammt, pro User oder pro Gruppe vergeben werden

### Volumes

- Spezielle Datasets
- Verhalten sich wie Blockdevices
- Gerne genutzt für VM Images, Swap Space, …

Redundanz
---------

Caches
------

Snapshots
---------

Besondere Features
==================

Deduplikation
-------------

Kompression
-----------

Links
=====

Links
-----

<dl>
<dt>ZFS Demo VM</dt><dd>https://cloud.usrspace.at/s/eB4ifqQBNtLz322</dd>
</dl>

Präsentation ist [CC-BY-SA
4.0](https://creativecommons.org/licenses/by-sa/4.0/legalcode.de)

Fragen?
=======
